- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# PlatformPlugin Class Reference

Search for all occurrences

## Detailed Description

Definition at line 45 of file platformplugin.h.

`#include <platformplugin.h>`

List of all members.

## Public Member Functions
virtual | ~PlatformPlugin ()
virtual AbstractMediaStream * | createMediaStream (const QUrl &url, QObject *parent)=0
| Creates a AbstractMediaStream object that provides the data for the given `url`.
virtual QIcon | icon (const QString &name) const =0
| Returns the icon for the given icon name.
virtual void | notification (const char *notificationName, const QString &text, const QStringList &actions=QStringList(), QObject *receiver=0, const char *actionSlot=0) const =0
| Shows a notification popup.
virtual QString | applicationName () const =0
| Returns the name of the application.
virtual QObject * | createBackend ()=0
| Creates a backend object.
virtual QObject * | createBackend (const QString &library, const QString &version)=0
| Using the library loader of the platform, loads a given backend.
virtual bool | isMimeTypeAvailable (const QString &mimeType) const =0
| Tries to check whether the default backend supports a given MIME type without loading the actual backend library.
virtual void | saveVolume (const QString &outputName, qreal volume)=0
| Saves the volume for the given output.
virtual qreal | loadVolume (const QString &outputName) const =0
| Loads the volume for the given output.
virtual QList< int > | objectDescriptionIndexes (ObjectDescriptionType type) const =0
virtual QHash< QByteArray, QVariant > | objectDescriptionProperties (ObjectDescriptionType type, int index) const =0
virtual QList< QPair < QByteArray, QString > > | deviceAccessListFor (const Phonon::AudioOutputDevice &) const
| Returns a list of (driver, handle) pairs for the given AudioOutputDevice description.

## Constructor & Destructor Documentation

virtual ~PlatformPlugin | ( |  | ) | `[inline, virtual]`

Definition at line 48 of file platformplugin.h.

    {}

## Member Function Documentation

virtual AbstractMediaStream* createMediaStream | ( | const QUrl & | url,
|  | QObject * | parent
| ) |  | `[pure virtual]`

Search for all occurrences

Creates a AbstractMediaStream object that provides the data for the given `url`.

On KDE this uses KIO.

virtual QIcon icon | ( | const QString & | name | ) | const `[pure virtual]`

Search for all occurrences

Returns the icon for the given icon name.

virtual void notification | ( | const char * | notificationName,
|  | const QString & | text,
|  | const QStringList & | actions = `QStringList()`,
|  | QObject * | receiver = `0`,
|  | const char * | actionSlot = `0`
| ) |  | const `[pure virtual]`

Search for all occurrences

Shows a notification popup.

virtual QString applicationName | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Returns the name of the application.

For most Qt application this is QCoreApplication::applicationName(), but for KDE this is overridden by KAboutData.

virtual QObject* createBackend | ( |  | ) | `[pure virtual]`

Search for all occurrences

Creates a backend object.

This way the platform can decide the backend preference.

virtual QObject* createBackend | ( | const QString & | library,
|  | const QString & | version
| ) |  | `[pure virtual]`

Search for all occurrences

Using the library loader of the platform, loads a given backend.

virtual bool isMimeTypeAvailable | ( | const QString & | mimeType | ) | const `[pure virtual]`

Search for all occurrences

Tries to check whether the default backend supports a given MIME type without loading the actual backend library.

On KDE this reads the MIME type list from the .desktop file of the backend.

virtual void saveVolume | ( | const QString & | outputName,
|  | qreal | volume
| ) |  | `[pure virtual]`

Search for all occurrences

Saves the volume for the given output.

virtual qreal loadVolume | ( | const QString & | outputName | ) | const `[pure virtual]`

Search for all occurrences

Loads the volume for the given output.

virtual QList<int> objectDescriptionIndexes | ( | ObjectDescriptionType | type | ) | const `[pure virtual]`

Search for all occurrences

virtual QHash<QByteArray, QVariant> objectDescriptionProperties | ( | ObjectDescriptionType | type,
|  | int | index
| ) |  | const `[pure virtual]`

Search for all occurrences

virtual QList<QPair<QByteArray, QString> > deviceAccessListFor | ( | const Phonon::AudioOutputDevice & |  | ) | const `[inline, virtual]`

Search for all occurrences

Returns a list of (driver, handle) pairs for the given AudioOutputDevice description.

Definition at line 107 of file platformplugin.h.

    { return QList<QPair<QByteArray, QString> >(); }

The documentation for this class was generated from the following file:

- phonon/platformplugin.h

PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin
PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin PlatformPlugin